import Testing

@testable import DoxyLibrary

@Suite("StaticFile", .tags(.enumeration))
struct StaticFileTests {

    // MARK: Properties tests

    @Test(arguments: zip(StaticFile.allCases, [String].paths))
    func path(
        for prefix: StaticFile,
        expects pathExpected: String
    ) async throws {
        // GIVEN
        // WHEN
        let path = prefix.path
        
        // THEN
        #expect(path == pathExpected)
    }

}

// MARK: - Collection+Strings

private extension Collection where Element == String {
    
    // MARK: Properties
    
    static var paths: [Element] {[
        "/data/documentation.json",
        "/favicon.ico",
        "/favicon.svg",
        "/theme-settings.json"
    ]}
    
}
